Dashboard KPIs
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/dashboard_kpis \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/dashboard_kpis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/dashboard_kpis"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"audience": "commercial",
"currency": "<string>",
"kpis": [
{
"id": "<string>",
"value": null,
"previous_value": null,
"unit": "<string>",
"empty": true,
"samples": null,
"previous_samples": null,
"value_danger": true,
"meta": {},
"delta_direction": "up",
"delta_amount": 123,
"delta_unit": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Dashboard
Dashboard KPIs
MoM KPI pack for the current user’s audience (commercial, service, administrative, or administrator). Sibling of v2 reports — not nested under /reports.
GET
/
api
/
v2
/
accounts
/
{account_id}
/
dashboard_kpis
Dashboard KPIs
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/dashboard_kpis \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/dashboard_kpis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/dashboard_kpis"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"audience": "commercial",
"currency": "<string>",
"kpis": [
{
"id": "<string>",
"value": null,
"previous_value": null,
"unit": "<string>",
"empty": true,
"samples": null,
"previous_samples": null,
"value_danger": true,
"meta": {},
"delta_direction": "up",
"delta_amount": 123,
"delta_unit": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Authorizations
Path Parameters
The numeric ID of the account
Query Parameters
Client timezone offset in minutes